	include "mxmlib.h"
	include "flib.h"
	include "tios.h"
	include "macros.h"
	xdef _main
	xdef _comment

buildscreen:
	jsr flib::zap_screen
	SetFont #2
	WriteStr #1,#1,#4,_comment
	SetFont #1
	WriteStr #1,#80,#4,info1
	WriteStr #1,#90,#4,info2
	WriteStr #1,#100,#4,info3
	rts

_main:
	jsr mxmlib::countsavegames
	tst.w d0
	beq ende
	bsr buildscreen
	lea menu(PC),a0
	lea mtitle(PC),a1
	move.w #50,d0
	move.w #20,d1
	move.w #4,d2
	jsr mxmlib::menu
	cmp.w #4,d0
	bhi ende
	cmp.w #3,d0
	beq clearall
	cmp.w #1,d0
	beq getvariable
	movem.l d0,-(a7)
	jsr flib::idle_loop
	jsr flib::zap_screen
	WriteStr #160,#1,#4,info5
	WriteStr #160,#11,#4,info6
	WriteStr #160,#21,#4,info7
	WriteStr #160,#31,#4,info8
	WriteStr #160,#41,#4,info9
	WriteStr #160,#51,#4,info10
	jsr mxmlib::showsavegames
	move.w d0,d1
	movem.l (a7)+,d0
	cmp.w #16,d1
	bhi _main
	movem.l d0-d1,-(a7)
	WriteStr #160,#1,#4,query1
	WriteStr #160,#11,#4,query2
	WriteStr #160,#21,#4,query3
	WriteStr #160,#31,#4,query4
	WriteStr #160,#41,#4,query5
	WriteStr #160,#51,#4,query6
	jsr flib::idle_loop
	jsr flib::idle_loop
	move.w d0,d3
	movem.l (a7)+,d0-d1
	cmp.w #121,d3
	beq deleteit
	cmp.w #89,d3
	bne _main
deleteit:
	move.w d1,d0
	jsr mxmlib::deletesavegame
	bra _main
getvariable:
	bra _main
clearall:
	move.w #15,d1
clearloop:
	move.w d1,d0
	jsr mxmlib::deletesavegame
	sub.w #1,d1
	bne clearloop
	bra _main
ende:
	rts

buffer		dc.w 0
info1		dc.b "Look at our pages to actualize our",0
info2		dc.b "programms! Official pages:",0
info3		dc.b "http://members.vol.at/schoenach",0
info5		dc.b "Choose a",0
info6		dc.b "savefile",0
info7		dc.b "ENTER:",0
info8		dc.b "Accept",0
info9		dc.b "ESC:",0
info10		dc.b "Cancel",0
query1		dc.b "Delete the",0
query2		dc.b "marked save-",0
query3		dc.b "game?",0
query4		dc.b "Are you",0
query5		dc.b "sure? Y/N",0
query6		dc.b "      ",0
mtitle		dc.b "What do you want?",0
menu		dc.b " Send/receive savegame ",0,
		dc.b " Delete savegame       ",0,
		dc.b " Delete all savegames  ",0,
		dc.b " Exit                  ",0  
_comment	dc.b "MXM SaveAdministrator Alpha",0
	END